LINUX.ORG.RU
ФорумAdmin

Испробывал Gentoo

 ,


0

2

После очередного обновления Арч у меня белым по черному написал мой ник. Вот решил попробовать Gentoo. Собрал ядро, поднял иксы, вроде все нормально. Но есть одна хрень, которая меня напрягает - это маскировка пакетов. Прежде чем установить, например, chromium или openbox, пакет нужно размаскировать, проведя танцы с бубном. Вопрос - зачем? Я просто хочу ввести emerge chromium и получить браузер, а не голову с этим морочить. Вот система портов FreeBSD мне нравиться, там такого гемороя нету (хотя другие есть). Так вот - я что-то не понимаю? В чем скрытый смысл маскировки и как с этим облегчить жизнь?

Вопрос - зачем?

Затем, что пакеты могут быть нестабильны. Или мантейнеры могут думать, что эти пакеты нестабильны. В выводе emerge пишется причина маскировки.

Я просто хочу ввести emerge chromium и получить браузер, а не голову с этим морочить

Попробуй перейти на тестовую ветку.

А вообще: RTFH, да.

Kindly_Cat ()

Прежде чем установить, например, chromium или openbox, пакет нужно размаскировать, проведя танцы с бубном.

Сколько лет пользую генту, не знал что в размаскировке есть что-то сложное, да ещё и бубен нужен...

Вопрос - зачем? Я просто хочу ввести emerge chromium и получить браузер, а не голову с этим морочить.

Не пользуй этот дистрибутив...

erfea ★★★★★ ()
Ответ на: комментарий от Kindly_Cat

Затем, что пакеты могут быть нестабильны

Я это понимаю, но все-же

Попробуй перейти на тестовую ветку.

Что сделать для этого?

А вообще: RTFH, да.

Да, знаю, чем собственно и занимаюсь, но не дочитал до конца

KERNEL_PANIC ★★★ ()

испробывал
ы

Учебник сам найдешь?

По теме:

ACCEPT_KEYWORDS="amd64"

Anret ()

У emerge есть опция --autounmask-write=y, хотя сам ею не пользуюсь, но вроде то, что требуется.

backbone ★★★★★ ()

После очередного обновления Арч у меня белым по черному написал мой ник

Потому что ты хреновый ник выбрал.

kernelpanic ★★★★★ ()
Ответ на: комментарий от Kindly_Cat
localhost ~ # ACCEPT_KEYWORD="~$ARCH" emerge --autounmask-write=y x11-wm/openbox 

 * IMPORTANT: 3 news items need reading for repository 'gentoo'.
 * Use eselect news to read news items.


 * IMPORTANT: 2 config files in '/etc/portage' need updating.
 * See the CONFIGURATION FILES section of the emerge
 * man page to learn how to update config files.
Calculating dependencies... done!
[ebuild  N     ] x11-libs/libXrandr-1.3.2  USE="-static-libs" 
[ebuild  N     ] x11-libs/libXinerama-1.1.2  USE="-static-libs" 
[ebuild   R    ] x11-libs/cairo-1.10.2-r2  USE="X*" 
[ebuild   R    ] x11-libs/pango-1.29.4  USE="X*" 
[ebuild  N     ] x11-wm/openbox-3.5.0_p20111019  USE="nls session -debug -imlib -python -startup-notification -static-libs" 

The following USE changes are necessary to proceed:
#required by x11-wm/openbox-3.5.0_p20111019, required by x11-wm/openbox (argument)
=x11-libs/pango-1.29.4 X

Autounmask changes successfully written. Remember to run etc-update.

 * IMPORTANT: 3 news items need reading for repository 'gentoo'.
 * Use eselect news to read news items.

localhost ~ #

Xм...

KERNEL_PANIC ★★★ ()

После очередного обновления Арч у меня белым по черному написал мой ник

это какая-то идиома? поясни, пожалуйста

я после недели на генту, таки вернулся на арч. арч легче

anonymous ()
Ответ на: комментарий от anonymous

Естественно легче.(Ты же на нем сидел дольешь чем на gentoo)

deterok ★★★★★ ()

Испробывал

Попробуй букварь вдогонку.

anonymous ()

мне нравиться

я что-то не понимаю?

Да.

anonymous ()

Испробывал

Возможно, ты не заслуживаешь смерти, но нескольких часов пыток - точно.

Update

мне нравиться

Хотя нет, только убить.

prischeyadro ★★★☆☆ ()
Последнее исправление: prischeyadro (всего исправлений: 1)

Если хочешь именно замаскированные пакеты, то:

пример:

sudo emerge -av --autounmask-write net-misc/grive

ключ --autounmask-write

потом

sudo dispatch-conf

потом запускаешь

sudo emerge -av net-misc/grive

swwwfactory ★★ ()

emerge $yourPackage --autounmask-write && etc-update && emerge $yourPackage

TOXA ★★ ()

Прежде чем установить, например, chromium или openbox, пакет нужно размаскировать, проведя танцы с бубном. Вопрос - зачем? Я просто хочу ввести emerge chromium и получить браузер, а не голову с этим морочить.

Что, так сложно скопипастить пару строчек из консоли в package.keywords ? Наркоманский APT ждет тебя.

Вот система портов FreeBSD мне нравиться

Ну и что же заставило нашего грамотея бросить ее?

PaxtonFettel ()

ты не понимаешь системы
//Кэп
рукокнигу скурил?
нет? свободен!

megabaks ★★★★ ()

А рукокнигу-то читал? Там все разжевано и объяснено.

Испробывал
мне нравиться

Убейся, двоечник.

Zhbert ★★★★★ ()
Ответ на: комментарий от Zhbert

А рукокнигу-то читал?

Они чтение ещё не проходили.

anonymous ()

После очередного обновления Арч у меня белым по черному написал мой ник.

Как? Как ты этого добился??

kerneliq ★★★★★ ()

Гента имеет две ветки - стабильную и нестабильную. В нестабильной самый свежий софт, который частично, по истечении некоторого времени, переходит в стабильную ветку. Нестабильная ветка, во времена использования мною Генты, не приносила каких либо бед, на глюки не натыкался. Хотя, когда надоело выкачивать тонны обновлений, ушёл на стабильную.

Так вот, чтобы перейти на нестабильную ветку, достаточно в файле /etc/make.conf добавить строку ACCEPT_KEYWORDS=«~x86» или ACCEPT_KEYWORDS=«~amd64», в зависимости от того, по какому хэндбуку ставил - x86 или amd64.

После выполнишь emerge -uDavN world. Возможно после потребуются ещё какие-то действия, но как правило emerge тебе об этом сообщит.

//Здец вы тут упоротая илита. Нормально по делу Заратустра не велел отвечать?

mkam ()
Ответ на: комментарий от KERNEL_PANIC

Опять же, по хэнбуку настоятельно НЕ рекомендуется передавать параметры перед запуском emerge, их нужно писать в /etc/make.conf

$ cat /etc/make.conf | grep ACCEPT
ACCEPT_KEYWORDS="~amd64"

За все время пользования никаких проблем. autounmask'ом тоже не рекомендую пользоваться, ибо маскируются пакеты людьми имеющими больше знаний и опыта.

build-server / # emerge -av openbox

These are the packages that would be merged, in order:

Calculating dependencies                          ... done!  
[ebuild  N     ] x11-wm/openbox-3.5.0_p20111019-r2  USE="branding debug nls session startup-notification -imlib -python -static-libs" 478 kB

Total: 1 package (1 new), Size of downloads: 478 kB

Would you like to merge these packages? [Yes/No] ^C

Exiting on signal 2

Сам опенбокосм не пользуюсь, но вот. Никаких размаскировываний не делаю, только в /etc/portage/packages.use добавляю по мере надобности ключики USE

libbkmz ()

Прежде чем установить, например, chromium или openbox, пакет нужно размаскировать

?

$ eix -I chrom
[U] www-client/chromium
     Available versions:  
	(0)	22.0.1229.79{tbz2} (~)22.0.1229.91 [M](~)23.0.1271.6 [M](~)23.0.1271.10

Версия 22.0.1229.79 не маскирована.

KRoN73 ★★★★★ ()
Ответ на: комментарий от libbkmz

Сам опенбокосм не пользуюсь, но вот. Никаких размаскировываний не делаю

Ну да:


* x11-wm/openbox
     Available versions:  (3) 3.5.0-r1 3.5.0_p20111019 ~3.5.0_p20111019-r2 **9999
	{{branding debug imlib nls python session startup-notification static-libs}}
     Homepage:            http://openbox.org/
     Description:         A standards compliant, fast, light-weight, extensible window manager

Т.е. 3.5.0_p20111019 ставится без всякой размаскировки. Размаскировать нужно 3.5.0_p20111019-r2.

KRoN73 ★★★★★ ()
Ответ на: комментарий от libbkmz

А и чуть не забыл, мир пересобрать обязательно. Я по этой методе делаю пересборку всех пакетов в системе, http://goo.gl/d6gzG

libbkmz ()
Ответ на: комментарий от KRoN73

нет в этом никакого риска
хватит уже своё неосиляторство выдавать за суровую реальность, ждущую каждого

megabaks ★★★★ ()
Последнее исправление: megabaks (всего исправлений: 1)
Ответ на: комментарий от KRoN73

Это уже на любителей риска. Хотя после Arch — это, конечно, фигня :)

Я не помню. но вроде ** - вот это риск, а просто unstable это уже фигня, там нормальный софт, проблем с этим не возникало.

libbkmz ()
Ответ на: комментарий от libbkmz

а просто unstable это уже фигня

Фигня, но только если ты готов периодически, время от времени, решать проблемы.

KRoN73 ★★★★★ ()
Ответ на: комментарий от KRoN73

хватит ныть - решения за 0,хрен_миллионных находится
а уж возникают раз в N месяцев максимум

megabaks ★★★★ ()
Ответ на: комментарий от KRoN73

Фигня, но только если ты готов периодически, время от времени, решать проблемы.

Полностью согласен, но эти проблемы очень редки. Обычно если при обновлении мира натыкаешься на проблему, то после пары дней стоит смотреть багзиллу, уже будет решение. Но опять же, это крайне редко происходит

libbkmz ()
Ответ на: комментарий от libbkmz

Но опять же, это крайне редко происходит

Просто понятие «редко» — весьма субъективно. Для меня «редко» — это один-два раза в год. На ~arch в Gentoo ошибки будут вылезать до нескольких раз в месяц.

KRoN73 ★★★★★ ()
Ответ на: комментарий от anonymous

Спасибо. Вроде работает. Не знал про такую опцию. Приходилось «кормиться кактусом» типа такого:

sudo sh -c "emerge -v --sync && eix-update && emerge -DutNf world"


Очень неудобно было, а теперь красота. Из под рута как-то не хочется запускать эти команды. Оказывается, sudo -i делает тоже самое что и «sudo sh -c»
Премного благодарен. Слава знатокам!

swwwfactory ★★ ()
Ответ на: комментарий от Kindly_Cat

Я с Gentoo, как бы, с 2004-го. И на ~arch не один год просидел в куда более лучшие времена, чем сегодня. Так что не нужно меня в незнании вопроса обвинять :)

KRoN73 ★★★★★ ()
Ответ на: комментарий от KRoN73

Я с Gentoo, как бы, с 2004-го

И что с того?

Так что не нужно меня в незнании вопроса обвинять :)

Я не обвиняю тебя в незнании. Я говорю, что ты заливаешь. Проблемы возникают раз в месяц в худшем случае. Обновляю мир раз в неделю.

Kindly_Cat ()
Ответ на: комментарий от Kindly_Cat

Проблемы возникают раз в месяц в худшем случае

Раз в месяц они и на arch сегодня бывают :)

раз в месяц в худшем случае
Обновляю мир раз в неделю.

То есть раз в четыре обновления в среднем. Okay.jpg :) Это где-то близко к истине...

KRoN73 ★★★★★ ()
Ответ на: комментарий от KRoN73

Раз в месяц они и на arch сегодня бывают :)

Говорят, что стабильная ветка уже не совсем стабильная, но сам ничего не скажу, ибо ни разу её не использовал.

Kindly_Cat ()
Ответ на: комментарий от Kindly_Cat

Говорят, что стабильная ветка уже не совсем стабильная

Именно так. Её сегодня в Gentoo из рук вон плохо тестируют. И с проблемами сборки пакетов у _отдельных_ пользователей всё чаще занимаются тупым сносом пакета из портежа.

Я по этой причине перевёл почти все свои десктопы с Gentoo на Ubuntu. Только на серверах у Gentoo пока ещё ситуация лучше.

KRoN73 ★★★★★ ()
Ответ на: комментарий от Kindly_Cat

не слушай ты его
это старый нытик
с его опытом иметь его проблемы просто позор

megabaks ★★★★ ()
Ответ на: комментарий от PaxtonFettel

Наркоманский APT ждет тебя.

Пакман, если точнее

Ну и что же заставило нашего грамотея бросить ее?

Недесктопность фри

KERNEL_PANIC ★★★ ()
Вы не можете добавлять комментарии в эту тему. Тема перемещена в архив.